import Foundation
let url = URL(string: "https://api.getarca.app/api/v1/workspaces/{id}/tasks")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))
using RestSharp;
var options = new RestClientOptions("https://api.getarca.app/api/v1/workspaces/{id}/tasks");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://api.getarca.app/api/v1/workspaces/{id}/tasks");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.getarca.app/api/v1/workspaces/{id}/tasks")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()
{ "error": "Scope 'tasks:read' is required for this endpoint"}
{ "error": "Workspace not found"}
Requires the tasks:read scope. You must be a member of the workspace.
Access-restricted members only receive tasks in their permitted lists. Passing
a list_id for an inaccessible list returns 403.
This endpoint returns top-level tasks only. Each task includes its direct
subtasks inline in the subtasks array.
import Foundation
let url = URL(string: "https://api.getarca.app/api/v1/workspaces/{id}/tasks")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))
using RestSharp;
var options = new RestClientOptions("https://api.getarca.app/api/v1/workspaces/{id}/tasks");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://api.getarca.app/api/v1/workspaces/{id}/tasks");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.getarca.app/api/v1/workspaces/{id}/tasks")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()
{ "error": "Scope 'tasks:read' is required for this endpoint"}
{ "error": "Workspace not found"}
{"docsConfig":{"theme":"maple","$schema":"https://mintlify.com/docs.json","name":"Arca Documentation","colors":{"primary":"#3A72F2","light":"#3A72F2","dark":"#3A72F2"},"logo":{"light":"https://mintcdn.com/arca-8f4cdaaf/LBZ6XQwOq9jaxx8a/logo/light.svg?fit=max\u0026auto=format\u0026n=LBZ6XQwOq9jaxx8a\u0026q=85\u0026s=ad9c52e4c7e2b71cc11fe3cf92c54ef1","dark":"https://mintcdn.com/arca-8f4cdaaf/LBZ6XQwOq9jaxx8a/logo/dark.svg?fit=max\u0026auto=format\u0026n=LBZ6XQwOq9jaxx8a\u0026q=85\u0026s=a33f9281003b4f1534d60b3cbaf02f31"},"favicon":"https://mintcdn.com/arca-8f4cdaaf/LBZ6XQwOq9jaxx8a/favicon.svg?fit=max\u0026auto=format\u0026n=LBZ6XQwOq9jaxx8a\u0026q=85\u0026s=ec17aff983f1769d8b8b06ab480c2a5f","api":{"playground":{"display":"interactive","proxy":false},"examples":{"languages":["bash","javascript","typescript","node","python","go","php","rust","dart","ruby","java","swift","csharp","c","c++","dotnet","kotlin"]},"mdx":{"auth":{"method":"bearer"},"server":"https://api.getarca.app"}},"navbar":{"links":[{"href":"mailto:info@getarca.app","label":"Support"}]},"footer":{"socials":{"x":"https://x.com/arca_app","linkedin":"https://linkedin.com/company/getarca","website":"https://getarca.app"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","cursor"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Arca Website","icon":"globe","href":"https://getarca.app/"},{"anchor":"Download Arca","icon":"download","href":"https://getarca.app/download"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"arca-8f4cdaaf","hasAudioNarration":false,"actualSubdomain":"arca-8f4cdaaf","customDomains":["docs.getarca.app"],"gitSource":{"type":"github","owner":"gre-dev","repo":"arca-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true},"entitlements":{},"buildId":"6ae94a1fad87a8c861a8109f:success","clientVersion":"0.0.4087","searchFilterCounts":[{"language":"default","tag":"Knowledge base","count":62},{"language":"default","tag":"API reference","count":32},{"language":"default","tag":"Integrations","count":24},{"language":"default","tag":"Tasks","count":16},{"language":"default","tag":"Administration","count":15},{"language":"default","tag":"Arca Apps","count":13},{"language":"default","tag":"General features","count":6},{"language":"default","tag":"Lists","count":5},{"language":"default","tag":"Views","count":5},{"language":"default","tag":"Account","count":4}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/tasks/list","slug":"/api-reference/tasks/list","pageMetadata":{"title":"List tasks","api":"GET /api/v1/workspaces/{id}/tasks","description":"Returns a paginated list of top-level tasks in a workspace, ordered by creation date (newest first).","href":"/api-reference/tasks/list"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Returns a paginated list of top-level tasks in a workspace, ordered by creation date (newest first).\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,li:`li`,p:`p`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Expandable,Heading,Info,Note,ParamField,ResponseField}=_components;if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Info)_missingMdxReference(`Info`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Info,{children:_jsxs(_components.p,{children:[`Requires the `,_jsx(_components.code,{children:`tasks:read`}),` scope. You must be a member of the workspace.\nAccess-restricted members only receive tasks in their permitted lists. Passing\na `,_jsx(_components.code,{children:`list_id`}),` for an inaccessible list returns `,_jsx(_components.code,{children:`403`}),`.`]})}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`This endpoint returns `,_jsx(_components.strong,{children:`top-level tasks only`}),`. Each task includes its direct\nsubtasks inline in the `,_jsx(_components.code,{children:`subtasks`}),` array.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`path-parameters`,children:`Path parameters`}),`\n`,_jsx(ParamField,{path:`id`,type:`string`,required:true,id:`param-id`,children:_jsx(_components.p,{children:`The numeric workspace ID.`})}),`\n`,_jsx(Heading,{level:`2`,id:`query-parameters`,children:`Query parameters`}),`\n`,_jsx(ParamField,{query:`list_id`,type:`string`,id:`param-list-id`,children:_jsx(_components.p,{children:`Filter results to a specific list. If omitted, tasks from all lists are\nreturned.`})}),`\n`,_jsx(ParamField,{query:`page`,type:`number`,default:`1`,id:`param-page`,children:_jsx(_components.p,{children:`Page number (1-based).`})}),`\n`,_jsx(ParamField,{query:`limit`,type:`number`,default:`50`,id:`param-limit`,children:_jsxs(_components.p,{children:[`Number of tasks per page. Minimum `,_jsx(_components.code,{children:`1`}),`, maximum `,_jsx(_components.code,{children:`100`}),`.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsxs(ResponseField,{name:`data`,type:`array`,required:true,id:`param-data`,children:[_jsx(_components.p,{children:`Array of task objects.`}),_jsxs(Expandable,{title:`Task object fields`,children:[_jsx(ResponseField,{name:`id`,type:`number`,required:true,id:`param-id-1`,children:_jsx(_components.p,{children:`Task identifier.`})}),_jsx(ResponseField,{name:`workspace_id`,type:`number`,required:true,id:`param-workspace-id`,children:_jsx(_components.p,{children:`Workspace this task belongs to.`})}),_jsx(ResponseField,{name:`list_id`,type:`number | null`,id:`param-list-id-1`,children:_jsxs(_components.p,{children:[`List this task belongs to. `,_jsx(_components.code,{children:`null`}),` if the task is not in a list.`]})}),_jsx(ResponseField,{name:`title`,type:`string`,required:true,id:`param-title`,children:_jsx(_components.p,{children:`Task title.`})}),_jsx(ResponseField,{name:`priority`,type:`string`,required:true,id:`param-priority`,children:_jsxs(_components.p,{children:[`Task priority. One of `,_jsx(_components.code,{children:`urgent`}),`, `,_jsx(_components.code,{children:`high`}),`, `,_jsx(_components.code,{children:`medium`}),`, `,_jsx(_components.code,{children:`low`}),`, or `,_jsx(_components.code,{children:`none`}),`.`]})}),_jsx(ResponseField,{name:`identifier`,type:`number`,required:true,id:`param-identifier`,children:_jsxs(_components.p,{children:[`Workspace-scoped sequential task number (e.g., `,_jsx(_components.code,{children:`1`}),`, `,_jsx(_components.code,{children:`2`}),`, `,_jsx(_components.code,{children:`3`}),`).`]})}),_jsx(ResponseField,{name:`due_date`,type:`string | null`,id:`param-due-date`,children:_jsxs(_components.p,{children:[`UTC ISO-8601 due date. `,_jsx(_components.code,{children:`null`}),` if not set.`]})}),_jsx(ResponseField,{name:`start_date`,type:`string | null`,id:`param-start-date`,children:_jsxs(_components.p,{children:[`UTC ISO-8601 start date. `,_jsx(_components.code,{children:`null`}),` if not set.`]})}),_jsx(ResponseField,{name:`creator_id`,type:`number`,required:true,id:`param-creator-id`,children:_jsx(_components.p,{children:`User ID of the person who created the task.`})}),_jsx(ResponseField,{name:`created_at`,type:`string`,required:true,id:`param-created-at`,children:_jsx(_components.p,{children:`UTC ISO-8601 creation timestamp.`})}),_jsxs(ResponseField,{name:`status`,type:`object | null`,id:`param-status`,children:[_jsxs(_components.p,{children:[`Current task status. `,_jsx(_components.code,{children:`null`}),` if no status is assigned.`]}),_jsxs(Expandable,{title:`Status fields`,children:[_jsx(ResponseField,{name:`id`,type:`number`,required:true,id:`param-id-2`,children:`Status identifier.`}),_jsxs(ResponseField,{name:`name`,type:`string`,required:true,id:`param-name`,children:[`Status label (e.g., `,_jsx(_components.code,{children:`\"In Progress\"`}),`).`]}),_jsx(ResponseField,{name:`icon`,type:`string | null`,id:`param-icon`,children:`Icon associated with the status.`}),_jsx(ResponseField,{name:`color`,type:`string | null`,id:`param-color`,children:`Color associated with the status.`}),_jsx(ResponseField,{name:`category`,type:`string`,required:true,id:`param-category`,children:_jsxs(_components.p,{children:[`Status category. One of `,_jsx(_components.code,{children:`pending`}),`, `,_jsx(_components.code,{children:`in_progress`}),`, `,_jsx(_components.code,{children:`completed`}),`, or `,_jsx(_components.code,{children:`cancelled`}),`.`]})})]})]}),_jsxs(ResponseField,{name:`assignees`,type:`array`,required:true,id:`param-assignees`,children:[_jsx(_components.p,{children:`Array of users assigned to the task. Empty array if unassigned.`}),_jsxs(Expandable,{title:`Assignee fields`,children:[_jsx(ResponseField,{name:`id`,type:`number`,required:true,id:`param-id-3`,children:`User ID.`}),_jsx(ResponseField,{name:`name`,type:`string`,required:true,id:`param-name-1`,children:`Display name.`}),_jsx(ResponseField,{name:`avatar_url`,type:`string | null`,id:`param-avatar-url`,children:`Profile picture URL.`})]})]}),_jsxs(ResponseField,{name:`subtasks`,type:`array`,required:true,id:`param-subtasks`,children:[_jsx(_components.p,{children:`Direct subtasks of this task. Empty array if none.`}),_jsxs(Expandable,{title:`Subtask fields`,children:[_jsx(ResponseField,{name:`id`,type:`number`,required:true,id:`param-id-4`,children:`Subtask identifier.`}),_jsx(ResponseField,{name:`title`,type:`string`,required:true,id:`param-title-1`,children:`Subtask title.`}),_jsx(ResponseField,{name:`priority`,type:`string`,required:true,id:`param-priority-1`,children:`Subtask priority.`}),_jsx(ResponseField,{name:`identifier`,type:`number`,required:true,id:`param-identifier-1`,children:`Workspace-scoped sequential task number.`}),_jsx(ResponseField,{name:`status`,type:`object | null`,id:`param-status-1`,children:`Current status of the subtask. Same shape as the parent task status.`}),_jsx(ResponseField,{name:`assignees`,type:`array`,required:true,id:`param-assignees-1`,children:`Users assigned to the subtask. Same shape as the parent task assignees.`})]})]}),_jsxs(ResponseField,{name:`custom_fields`,type:`array`,required:true,id:`param-custom-fields`,children:[_jsx(_components.p,{children:`Custom fields that apply to each task’s list, each with its current value. Fields restricted to other lists or folders are not returned.`}),_jsxs(Expandable,{title:`Custom field entry`,children:[_jsx(ResponseField,{name:`id`,type:`number`,required:true,id:`param-id-5`,children:`Custom field identifier.`}),_jsxs(ResponseField,{name:`name`,type:`string`,required:true,id:`param-name-2`,children:[`Custom field name (e.g., `,_jsx(_components.code,{children:`\"Customer Tier\"`}),`).`]}),_jsx(ResponseField,{name:`type`,type:`string`,required:true,id:`param-type`,children:_jsxs(_components.p,{children:[`Field type. One of `,_jsx(_components.code,{children:`text`}),`, `,_jsx(_components.code,{children:`number`}),`, `,_jsx(_components.code,{children:`date`}),`, `,_jsx(_components.code,{children:`checkbox`}),`, `,_jsx(_components.code,{children:`rating`}),`, `,_jsx(_components.code,{children:`dropdown`}),`, `,_jsx(_components.code,{children:`money`}),`, or `,_jsx(_components.code,{children:`people`}),`.`]})}),_jsxs(ResponseField,{name:`config`,type:`object | null`,id:`param-config`,children:[_jsx(_components.p,{children:`Type-specific configuration.`}),_jsx(_components.p,{children:`For example:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`rating`}),` fields include `,_jsx(_components.code,{children:`icon`}),` and `,_jsx(_components.code,{children:`color`}),`;`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`dropdown`}),` fields include an `,_jsx(_components.code,{children:`options`}),` array of strings;`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`money`}),` fields include `,_jsx(_components.code,{children:`currency`}),` and `,_jsx(_components.code,{children:`decimals`}),`.`]}),`\n`]}),_jsxs(_components.p,{children:[`It’s `,_jsx(_components.code,{children:`null`}),` for field types with no configuration (which are `,_jsx(_components.code,{children:`text`}),`, `,_jsx(_components.code,{children:`number`}),`, `,_jsx(_components.code,{children:`date`}),`, `,_jsx(_components.code,{children:`checkbox`}),` and `,_jsx(_components.code,{children:`people`}),`).`]})]}),_jsx(ResponseField,{name:`position`,type:`number`,required:true,id:`param-position`,children:`Sort position of the field within the workspace.`}),_jsx(ResponseField,{name:`value`,type:`string | null`,id:`param-value`,children:_jsxs(_components.p,{children:[`The task’s value for this field. `,_jsx(_components.code,{children:`null`}),` when no value has been set.`]})})]})]})]})]}),`\n`,_jsx(ResponseField,{name:`page`,type:`number`,required:true,id:`param-page-1`,children:_jsx(_components.p,{children:`Current page number.`})}),`\n`,_jsx(ResponseField,{name:`limit`,type:`number`,required:true,id:`param-limit-1`,children:_jsx(_components.p,{children:`Number of tasks per page used for this response.`})}),`\n`,_jsx(ResponseField,{name:`total`,type:`number`,required:true,id:`param-total`,children:_jsx(_components.p,{children:`Total number of matching tasks across all pages.`})}),`\n`,_jsx(ResponseField,{name:`total_pages`,type:`number`,required:true,id:`param-total-pages`,children:_jsx(_components.p,{children:`Total number of pages.`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List tasks","api":"GET /api/v1/workspaces/{id}/tasks","description":"Returns a paginated list of top-level tasks in a workspace, ordered by creation date (newest first).","href":"/api-reference/tasks/list"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,Info,Note,ParamField,ResponseExample,ResponseField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Info)_missingMdxReference(`Info`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Info,{children:_jsxs(_components.p,{children:[`Requires the `,_jsx(_components.code,{children:`tasks:read`}),` scope. You must be a member of the workspace.\nAccess-restricted members only receive tasks in their permitted lists. Passing\na `,_jsx(_components.code,{children:`list_id`}),` for an inaccessible list returns `,_jsx(_components.code,{children:`403`}),`.`]})}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`This endpoint returns `,_jsx(_components.strong,{children:`top-level tasks only`}),`. Each task includes its direct\nsubtasks inline in the `,_jsx(_components.code,{children:`subtasks`}),` array.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`path-parameters`,children:`Path parameters`}),`\n`,_jsx(ParamField,{path:`id`,type:`string`,required:true,id:`param-id`,children:_jsx(_components.p,{children:`The numeric workspace ID.`})}),`\n`,_jsx(Heading,{level:`2`,id:`query-parameters`,children:`Query parameters`}),`\n`,_jsx(ParamField,{query:`list_id`,type:`string`,id:`param-list-id`,children:_jsx(_components.p,{children:`Filter results to a specific list. If omitted, tasks from all lists are\nreturned.`})}),`\n`,_jsx(ParamField,{query:`page`,type:`number`,default:`1`,id:`param-page`,children:_jsx(_components.p,{children:`Page number (1-based).`})}),`\n`,_jsx(ParamField,{query:`limit`,type:`number`,default:`50`,id:`param-limit`,children:_jsxs(_components.p,{children:[`Number of tasks per page. Minimum `,_jsx(_components.code,{children:`1`}),`, maximum `,_jsx(_components.code,{children:`100`}),`.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsxs(ResponseField,{name:`data`,type:`array`,required:true,id:`param-data`,children:[_jsx(_components.p,{children:`Array of task objects.`}),_jsxs(Expandable,{title:`Task object fields`,children:[_jsx(ResponseField,{name:`id`,type:`number`,required:true,id:`param-id-1`,children:_jsx(_components.p,{children:`Task identifier.`})}),_jsx(ResponseField,{name:`workspace_id`,type:`number`,required:true,id:`param-workspace-id`,children:_jsx(_components.p,{children:`Workspace this task belongs to.`})}),_jsx(ResponseField,{name:`list_id`,type:`number | null`,id:`param-list-id-1`,children:_jsxs(_components.p,{children:[`List this task belongs to. `,_jsx(_components.code,{children:`null`}),` if the task is not in a list.`]})}),_jsx(ResponseField,{name:`title`,type:`string`,required:true,id:`param-title`,children:_jsx(_components.p,{children:`Task title.`})}),_jsx(ResponseField,{name:`priority`,type:`string`,required:true,id:`param-priority`,children:_jsxs(_components.p,{children:[`Task priority. One of `,_jsx(_components.code,{children:`urgent`}),`, `,_jsx(_components.code,{children:`high`}),`, `,_jsx(_components.code,{children:`medium`}),`, `,_jsx(_components.code,{children:`low`}),`, or `,_jsx(_components.code,{children:`none`}),`.`]})}),_jsx(ResponseField,{name:`identifier`,type:`number`,required:true,id:`param-identifier`,children:_jsxs(_components.p,{children:[`Workspace-scoped sequential task number (e.g., `,_jsx(_components.code,{children:`1`}),`, `,_jsx(_components.code,{children:`2`}),`, `,_jsx(_components.code,{children:`3`}),`).`]})}),_jsx(ResponseField,{name:`due_date`,type:`string | null`,id:`param-due-date`,children:_jsxs(_components.p,{children:[`UTC ISO-8601 due date. `,_jsx(_components.code,{children:`null`}),` if not set.`]})}),_jsx(ResponseField,{name:`start_date`,type:`string | null`,id:`param-start-date`,children:_jsxs(_components.p,{children:[`UTC ISO-8601 start date. `,_jsx(_components.code,{children:`null`}),` if not set.`]})}),_jsx(ResponseField,{name:`creator_id`,type:`number`,required:true,id:`param-creator-id`,children:_jsx(_components.p,{children:`User ID of the person who created the task.`})}),_jsx(ResponseField,{name:`created_at`,type:`string`,required:true,id:`param-created-at`,children:_jsx(_components.p,{children:`UTC ISO-8601 creation timestamp.`})}),_jsxs(ResponseField,{name:`status`,type:`object | null`,id:`param-status`,children:[_jsxs(_components.p,{children:[`Current task status. `,_jsx(_components.code,{children:`null`}),` if no status is assigned.`]}),_jsxs(Expandable,{title:`Status fields`,children:[_jsx(ResponseField,{name:`id`,type:`number`,required:true,id:`param-id-2`,children:`Status identifier.`}),_jsxs(ResponseField,{name:`name`,type:`string`,required:true,id:`param-name`,children:[`Status label (e.g., `,_jsx(_components.code,{children:`\"In Progress\"`}),`).`]}),_jsx(ResponseField,{name:`icon`,type:`string | null`,id:`param-icon`,children:`Icon associated with the status.`}),_jsx(ResponseField,{name:`color`,type:`string | null`,id:`param-color`,children:`Color associated with the status.`}),_jsx(ResponseField,{name:`category`,type:`string`,required:true,id:`param-category`,children:_jsxs(_components.p,{children:[`Status category. One of `,_jsx(_components.code,{children:`pending`}),`, `,_jsx(_components.code,{children:`in_progress`}),`, `,_jsx(_components.code,{children:`completed`}),`, or `,_jsx(_components.code,{children:`cancelled`}),`.`]})})]})]}),_jsxs(ResponseField,{name:`assignees`,type:`array`,required:true,id:`param-assignees`,children:[_jsx(_components.p,{children:`Array of users assigned to the task. Empty array if unassigned.`}),_jsxs(Expandable,{title:`Assignee fields`,children:[_jsx(ResponseField,{name:`id`,type:`number`,required:true,id:`param-id-3`,children:`User ID.`}),_jsx(ResponseField,{name:`name`,type:`string`,required:true,id:`param-name-1`,children:`Display name.`}),_jsx(ResponseField,{name:`avatar_url`,type:`string | null`,id:`param-avatar-url`,children:`Profile picture URL.`})]})]}),_jsxs(ResponseField,{name:`subtasks`,type:`array`,required:true,id:`param-subtasks`,children:[_jsx(_components.p,{children:`Direct subtasks of this task. Empty array if none.`}),_jsxs(Expandable,{title:`Subtask fields`,children:[_jsx(ResponseField,{name:`id`,type:`number`,required:true,id:`param-id-4`,children:`Subtask identifier.`}),_jsx(ResponseField,{name:`title`,type:`string`,required:true,id:`param-title-1`,children:`Subtask title.`}),_jsx(ResponseField,{name:`priority`,type:`string`,required:true,id:`param-priority-1`,children:`Subtask priority.`}),_jsx(ResponseField,{name:`identifier`,type:`number`,required:true,id:`param-identifier-1`,children:`Workspace-scoped sequential task number.`}),_jsx(ResponseField,{name:`status`,type:`object | null`,id:`param-status-1`,children:`Current status of the subtask. Same shape as the parent task status.`}),_jsx(ResponseField,{name:`assignees`,type:`array`,required:true,id:`param-assignees-1`,children:`Users assigned to the subtask. Same shape as the parent task assignees.`})]})]}),_jsxs(ResponseField,{name:`custom_fields`,type:`array`,required:true,id:`param-custom-fields`,children:[_jsx(_components.p,{children:`Custom fields that apply to each task’s list, each with its current value. Fields restricted to other lists or folders are not returned.`}),_jsxs(Expandable,{title:`Custom field entry`,children:[_jsx(ResponseField,{name:`id`,type:`number`,required:true,id:`param-id-5`,children:`Custom field identifier.`}),_jsxs(ResponseField,{name:`name`,type:`string`,required:true,id:`param-name-2`,children:[`Custom field name (e.g., `,_jsx(_components.code,{children:`\"Customer Tier\"`}),`).`]}),_jsx(ResponseField,{name:`type`,type:`string`,required:true,id:`param-type`,children:_jsxs(_components.p,{children:[`Field type. One of `,_jsx(_components.code,{children:`text`}),`, `,_jsx(_components.code,{children:`number`}),`, `,_jsx(_components.code,{children:`date`}),`, `,_jsx(_components.code,{children:`checkbox`}),`, `,_jsx(_components.code,{children:`rating`}),`, `,_jsx(_components.code,{children:`dropdown`}),`, `,_jsx(_components.code,{children:`money`}),`, or `,_jsx(_components.code,{children:`people`}),`.`]})}),_jsxs(ResponseField,{name:`config`,type:`object | null`,id:`param-config`,children:[_jsx(_components.p,{children:`Type-specific configuration.`}),_jsx(_components.p,{children:`For example:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`rating`}),` fields include `,_jsx(_components.code,{children:`icon`}),` and `,_jsx(_components.code,{children:`color`}),`;`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`dropdown`}),` fields include an `,_jsx(_components.code,{children:`options`}),` array of strings;`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`money`}),` fields include `,_jsx(_components.code,{children:`currency`}),` and `,_jsx(_components.code,{children:`decimals`}),`.`]}),`\n`]}),_jsxs(_components.p,{children:[`It’s `,_jsx(_components.code,{children:`null`}),` for field types with no configuration (which are `,_jsx(_components.code,{children:`text`}),`, `,_jsx(_components.code,{children:`number`}),`, `,_jsx(_components.code,{children:`date`}),`, `,_jsx(_components.code,{children:`checkbox`}),` and `,_jsx(_components.code,{children:`people`}),`).`]})]}),_jsx(ResponseField,{name:`position`,type:`number`,required:true,id:`param-position`,children:`Sort position of the field within the workspace.`}),_jsx(ResponseField,{name:`value`,type:`string | null`,id:`param-value`,children:_jsxs(_components.p,{children:[`The task’s value for this field. `,_jsx(_components.code,{children:`null`}),` when no value has been set.`]})})]})]})]})]}),`\n`,_jsx(ResponseField,{name:`page`,type:`number`,required:true,id:`param-page-1`,children:_jsx(_components.p,{children:`Current page number.`})}),`\n`,_jsx(ResponseField,{name:`limit`,type:`number`,required:true,id:`param-limit-1`,children:_jsx(_components.p,{children:`Number of tasks per page used for this response.`})}),`\n`,_jsx(ResponseField,{name:`total`,type:`number`,required:true,id:`param-total`,children:_jsx(_components.p,{children:`Total number of matching tasks across all pages.`})}),`\n`,_jsx(ResponseField,{name:`total_pages`,type:`number`,required:true,id:`param-total-pages`,children:_jsx(_components.p,{children:`Total number of pages.`})}),`\n`,_jsxs(ResponseExample,{children:[_jsx(CodeBlock,{filename:`200`,numberOfLines:`60`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`60`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`101`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"workspace_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`3`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"list_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`20`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Set up CI pipeline\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"priority\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"high\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"identifier\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`5`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"due_date\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-03-25T00:00:00.000Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"start_date\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"creator_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-03-10T14:22:00.000Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"In Progress\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"icon\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"in-progress\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"color\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"blue\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"category\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"in_progress\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"assignees\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`7`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Bob\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"avatar_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://cdn.example.com/avatars/bob.png\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"subtasks\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`102`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Write unit tests\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"priority\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"medium\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"identifier\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`6`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Backlog\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"icon\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"color\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"gray\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"category\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"pending\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"assignees\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: []`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"custom_fields\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Customer Tier\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"dropdown\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"config\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"options\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Free\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Starter\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Pro\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`] },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"position\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"value\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Pro\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"page\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"limit\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`20`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"total\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"total_pages\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`401`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Invalid API key\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`403`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Scope 'tasks:read' is required for this endpoint\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`404`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Workspace not found\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List tasks","api":"GET /api/v1/workspaces/{id}/tasks","description":"Returns a paginated list of top-level tasks in a workspace, ordered by creation date (newest first).","href":"/api-reference/tasks/list"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Path parameters","slug":"path-parameters","depth":2,"children":[]},{"title":"Query parameters","slug":"query-parameters","depth":2,"children":[]},{"title":"Response","slug":"response","depth":2,"children":[]}],"codeExamples":{"response":{"type":"ResponseExample","children":[{"filename":"200","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"60\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"data\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">101\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"workspace_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">3\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"list_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">20\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"title\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Set up CI pipeline\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"priority\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"high\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"identifier\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">5\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"due_date\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-03-25T00:00:00.000Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"start_date\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">null\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"creator_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"created_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-03-10T14:22:00.000Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">2\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"In Progress\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"icon\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"in-progress\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"color\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"blue\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"category\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"in_progress\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"assignees\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">7\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Bob\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"avatar_url\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"https://cdn.example.com/avatars/bob.png\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"subtasks\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">102\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"title\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Write unit tests\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"priority\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"medium\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"identifier\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">6\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Backlog\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"icon\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">null\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"color\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"gray\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"category\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"pending\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"assignees\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: []\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"custom_fields\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Customer Tier\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"type\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"dropdown\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"config\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: { \u003c/span>\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\">\"options\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Free\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Starter\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Pro\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">] },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"position\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"value\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Pro\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"page\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"limit\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">20\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"total\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"total_pages\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"401","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Invalid API key\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"403","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Scope 'tasks:read' is required for this endpoint\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"404","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Workspace not found\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"List tasks","path":"/api/v1/workspaces/{id}/tasks","servers":[{"url":"https://api.getarca.app"}],"method":"get","request":{"security":[{"title":"Bearer Auth","parameters":{"header":{"Authorization":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."}},"query":{},"cookie":{}}}],"parameters":{"query":{"list_id":{"schema":[{"type":"string","description":"Filter results to a specific list. If omitted, tasks from all lists are returned."}]},"page":{"schema":[{"type":"number","description":"Page number (1-based)."}]},"limit":{"schema":[{"type":"number","description":"Number of tasks per page. Minimum `1` , maximum `100` ."}]}},"header":{},"cookie":{},"path":{"id":{"schema":[{"type":"string","description":"The numeric workspace ID.","required":true}]}}},"body":{}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"data":[{"type":"array","items":[{"type":"object","properties":{"id":[{"type":"number","description":"Task identifier.","required":true}],"workspace_id":[{"type":"number","description":"Workspace this task belongs to.","required":true}],"list_id":[{"type":"object","properties":{},"description":"List this task belongs to. `null` if the task is not in a list."}],"title":[{"type":"string","description":"Task title.","required":true}],"priority":[{"type":"string","description":"Task priority. One of `urgent` , `high` , `medium` , `low` , or `none` .","required":true}],"identifier":[{"type":"number","description":"Workspace-scoped sequential task number (e.g., `1` , `2` , `3` ).","required":true}],"due_date":[{"type":"object","properties":{},"description":"UTC ISO-8601 due date. `null` if not set."}],"start_date":[{"type":"object","properties":{},"description":"UTC ISO-8601 start date. `null` if not set."}],"creator_id":[{"type":"number","description":"User ID of the person who created the task.","required":true}],"created_at":[{"type":"string","description":"UTC ISO-8601 creation timestamp.","required":true}],"status":[{"type":"object","properties":{"id":[{"type":"number","description":"Status identifier.","required":true}],"name":[{"type":"string","description":"Status label (e.g., `\"In Progress\"` ).","required":true}],"icon":[{"type":"object","properties":{},"description":"Icon associated with the status."}],"color":[{"type":"object","properties":{},"description":"Color associated with the status."}],"category":[{"type":"string","description":"Status category. One of `pending` , `in_progress` , `completed` , or `cancelled` .","required":true}]},"description":"Current task status. `null` if no status is assigned."}],"assignees":[{"type":"array","items":[{"type":"object","properties":{"id":[{"type":"number","description":"User ID.","required":true}],"name":[{"type":"string","description":"Display name.","required":true}],"avatar_url":[{"type":"object","properties":{},"description":"Profile picture URL."}]}}],"description":"Array of users assigned to the task. Empty array if unassigned.","required":true}],"subtasks":[{"type":"array","items":[{"type":"object","properties":{"id":[{"type":"number","description":"Subtask identifier.","required":true}],"title":[{"type":"string","description":"Subtask title.","required":true}],"priority":[{"type":"string","description":"Subtask priority.","required":true}],"identifier":[{"type":"number","description":"Workspace-scoped sequential task number.","required":true}],"status":[{"type":"object","properties":{},"description":"Current status of the subtask. Same shape as the parent task status."}],"assignees":[{"type":"array","items":[{"type":"object","properties":{}}],"description":"Users assigned to the subtask. Same shape as the parent task assignees.","required":true}]}}],"description":"Direct subtasks of this task. Empty array if none.","required":true}],"custom_fields":[{"type":"array","items":[{"type":"object","properties":{"id":[{"type":"number","description":"Custom field identifier.","required":true}],"name":[{"type":"string","description":"Custom field name (e.g., `\"Customer Tier\"` ).","required":true}],"type":[{"type":"string","description":"Field type. One of `text` , `number` , `date` , `checkbox` , `rating` , `dropdown` , `money` , or `people` .","required":true}],"config":[{"type":"object","properties":{},"description":"Type-specific configuration. For example: `rating` fields include `icon` and `color` ; `dropdown` fields include an `options` array of strings; `money` fields include `currency` and `decimals` . It’s `null` for field types with no configuration (which are `text` , `number` , `date` , `checkbox` and `people` )."}],"position":[{"type":"number","description":"Sort position of the field within the workspace.","required":true}],"value":[{"type":"object","properties":{},"description":"The task’s value for this field. `null` when no value has been set."}]}}],"description":"Custom fields that apply to each task’s list, each with its current value. Fields restricted to other lists or folders are not returned.","required":true}]}}],"description":"Array of task objects.","required":true}],"page":[{"type":"number","description":"Current page number.","required":true}],"limit":[{"type":"number","description":"Number of tasks per page used for this response.","required":true}],"total":[{"type":"number","description":"Total number of matching tasks across all pages.","required":true}],"total_pages":[{"type":"number","description":"Total number of pages.","required":true}]}}],"examples":{"example":{"value":{"data":[{"id":123,"workspace_id":123,"list_id":{},"title":"\u003cstring>","priority":"\u003cstring>","identifier":123,"due_date":{},"start_date":{},"creator_id":123,"created_at":"\u003cstring>","status":{"id":123,"name":"\u003cstring>","icon":{},"color":{},"category":"\u003cstring>"},"assignees":[{"id":123,"name":"\u003cstring>","avatar_url":{}}],"subtasks":[{"id":123,"title":"\u003cstring>","priority":"\u003cstring>","identifier":123,"status":{},"assignees":[{}]}],"custom_fields":[{"id":123,"name":"\u003cstring>","type":"\u003cstring>","config":{},"position":123,"value":{}}]}],"page":123,"limit":123,"total":123,"total_pages":123}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"arca-8f4cdaaf","siteName":"Arca Documentation","title":"List tasks - Arca Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-06-05T20:45:23.098Z","originalFileLocation":"api-reference/tasks/list.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Returns a paginated list of top-level tasks in a workspace, ordered by creation date (newest first).\">\u003cmeta data-mint-head name=\"application-name\" content=\"Arca Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/arca-8f4cdaaf/Qzscc4kEYgLv-77g/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/arca-8f4cdaaf/Qzscc4kEYgLv-77g/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/arca-8f4cdaaf/Qzscc4kEYgLv-77g/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/arca-8f4cdaaf/Qzscc4kEYgLv-77g/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/arca-8f4cdaaf/Qzscc4kEYgLv-77g/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/arca-8f4cdaaf/Qzscc4kEYgLv-77g/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/arca-8f4cdaaf/Qzscc4kEYgLv-77g/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/arca-8f4cdaaf/Qzscc4kEYgLv-77g/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/arca-8f4cdaaf/Qzscc4kEYgLv-77g/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List tasks - Arca Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Returns a paginated list of top-level tasks in a workspace, ordered by creation date (newest first).\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Arca Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.getarca.app/api-reference/tasks/list\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://arca-8f4cdaaf.mintlify.site/_mintlify/api/og/v2?division=Tasks\u0026amp;title=List+tasks\u0026amp;description=Returns+a+paginated+list+of+top-level+tasks+in+a+workspace%2C+ordered+by+creation+date+%28newest+first%29.\u0026amp;theme=bdbeccab4109ea00ec17c251\u0026amp;signature=0832e2939a66b7f686a3501e185d98357a8966d9bccc22ea8cd7679610eca6f2\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List tasks - Arca Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Returns a paginated list of top-level tasks in a workspace, ordered by creation date (newest first).\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://arca-8f4cdaaf.mintlify.site/_mintlify/api/og/v2?division=Tasks\u0026amp;title=List+tasks\u0026amp;description=Returns+a+paginated+list+of+top-level+tasks+in+a+workspace%2C+ordered+by+creation+date+%28newest+first%29.\u0026amp;theme=bdbeccab4109ea00ec17c251\u0026amp;signature=0832e2939a66b7f686a3501e185d98357a8966d9bccc22ea8cd7679610eca6f2\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/arca-8f4cdaaf/Qzscc4kEYgLv-77g/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Arca Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3A72F2\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.getarca.app/api-reference/tasks/list\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/tasks/list.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.getarca.app/#organization\",\"name\":\"Arca Documentation\",\"url\":\"https://docs.getarca.app\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/arca-8f4cdaaf/LBZ6XQwOq9jaxx8a/logo/light.svg?fit=max\u0026auto=format\u0026n=LBZ6XQwOq9jaxx8a\u0026q=85\u0026s=ad9c52e4c7e2b71cc11fe3cf92c54ef1\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.getarca.app#website\",\"name\":\"Arca Documentation\",\"url\":\"https://docs.getarca.app\",\"publisher\":{\"@id\":\"https://docs.getarca.app/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.getarca.app/api-reference/tasks/list#webpage\",\"url\":\"https://docs.getarca.app/api-reference/tasks/list\",\"name\":\"List tasks\",\"description\":\"Returns a paginated list of top-level tasks in a workspace, ordered by creation date (newest first).\",\"dateModified\":\"2026-06-05T20:45:23.098Z\",\"isPartOf\":{\"@id\":\"https://docs.getarca.app#website\"},\"breadcrumb\":{\"@id\":\"https://docs.getarca.app/api-reference/tasks/list#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.getarca.app/api-reference/tasks/list#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Arca Documentation\",\"item\":\"https://docs.getarca.app\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List tasks\",\"item\":\"https://docs.getarca.app/api-reference/tasks/list\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.getarca.app/api-reference/tasks/list#apireference\",\"headline\":\"List tasks\",\"name\":\"List tasks\",\"description\":\"Returns a paginated list of top-level tasks in a workspace, ordered by creation date (newest first).\",\"url\":\"https://docs.getarca.app/api-reference/tasks/list\",\"mainEntityOfPage\":{\"@id\":\"https://docs.getarca.app/api-reference/tasks/list#webpage\"},\"dateModified\":\"2026-06-05T20:45:23.098Z\",\"publisher\":{\"@id\":\"https://docs.getarca.app/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.getarca.app#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Arca Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Arca Documentation","nav":{"global":{"anchors":[{"anchor":"Arca Website","icon":"globe","href":"https://getarca.app/"},{"anchor":"Download Arca","icon":"download","href":"https://getarca.app/download"}]},"tabs":[{"tab":"Knowledge base","pages":[{"title":"Knowledge base","href":"/getting-started/introduction"}]},{"tab":"Integrations","pages":[{"title":"Integrations","href":"/integrations/introduction"}]},{"tab":"API reference","groups":[{"group":"Overview","pages":[{"title":"Introduction","icon":"circle-info","href":"/api-reference/introduction"},{"title":"Authentication","icon":"key","href":"/api-reference/authentication"},{"title":"Rate limits","icon":"gauge","href":"/api-reference/rate-limits"},{"title":"Errors","icon":"triangle-exclamation","href":"/api-reference/errors"}]},{"group":"User","pages":[{"title":"Get current user","api":"GET /api/v1/me","href":"/api-reference/user/me"}]},{"group":"Workspaces","pages":[{"title":"List workspaces","api":"GET /api/v1/workspaces","href":"/api-reference/workspaces/list"},{"title":"Get workspace","api":"GET /api/v1/workspaces/{id}","href":"/api-reference/workspaces/get"},{"title":"List workspace members","api":"GET /api/v1/workspaces/{id}/members","href":"/api-reference/workspaces/members"},{"title":"List custom fields","api":"GET /api/v1/workspaces/{id}/custom-fields","href":"/api-reference/workspaces/custom-fields"}]},{"group":"Folders","pages":[{"title":"List folders","api":"GET /api/v1/workspaces/{id}/folders","href":"/api-reference/folders/list"},{"title":"Create folder","api":"POST /api/v1/folders","href":"/api-reference/folders/create"},{"title":"Update folder","api":"PATCH /api/v1/folders/{id}","href":"/api-reference/folders/update"},{"title":"Delete folder","api":"DELETE /api/v1/folders/{id}","href":"/api-reference/folders/delete"}]},{"group":"Lists","pages":[{"title":"List lists","api":"GET /api/v1/workspaces/{id}/lists","href":"/api-reference/lists/list"},{"title":"Create list","api":"POST /api/v1/lists","href":"/api-reference/lists/create"},{"title":"Update list","api":"PATCH /api/v1/lists/{id}","href":"/api-reference/lists/update"},{"title":"Delete list","api":"DELETE /api/v1/lists/{id}","description":"Permanently deletes a list and all tasks inside it.","href":"/api-reference/lists/delete"}]},{"group":"Tasks","pages":[{"title":"List tasks","api":"GET /api/v1/workspaces/{id}/tasks","href":"/api-reference/tasks/list"},{"title":"Get task","api":"GET /api/v1/tasks/{id}","description":"Returns a single task with full details including its status, assignees, labels, and attachments.","href":"/api-reference/tasks/get"},{"title":"Create task","api":"POST /api/v1/tasks","href":"/api-reference/tasks/create"},{"title":"Update task","api":"PATCH /api/v1/tasks/{id}","href":"/api-reference/tasks/update"},{"title":"Delete task","api":"DELETE /api/v1/tasks/{id}","href":"/api-reference/tasks/delete"}]},{"group":"Statuses","pages":[{"title":"List statuses","api":"GET /api/v1/workspaces/{id}/statuses","href":"/api-reference/statuses/list"},{"title":"Create status","api":"POST /api/v1/statuses","href":"/api-reference/statuses/create"},{"title":"Update status","api":"PATCH /api/v1/statuses/{id}","href":"/api-reference/statuses/update"},{"title":"Delete status","api":"DELETE /api/v1/statuses/{id}","href":"/api-reference/statuses/delete"}]},{"group":"Labels","pages":[{"title":"List labels","api":"GET /api/v1/workspaces/{id}/labels","href":"/api-reference/labels/list"},{"title":"Create label","api":"POST /api/v1/labels","href":"/api-reference/labels/create"},{"title":"Update label","api":"PATCH /api/v1/labels/{id}","href":"/api-reference/labels/update"},{"title":"Delete label","api":"DELETE /api/v1/labels/{id}","href":"/api-reference/labels/delete"}]},{"group":"Comments","pages":[{"title":"List comments","api":"GET /api/v1/tasks/{id}/comments","href":"/api-reference/comments/list"},{"title":"Create comment","api":"POST /api/v1/tasks/{id}/comments","href":"/api-reference/comments/create"}]}]}]},"basePath":"","title":"List tasks - Arca Documentation","buildId":"dpl_FWZhTb2vab28gFGFH4ojka6qEznQ","deploymentId":"dpl_FWZhTb2vab28gFGFH4ojka6qEznQ","dynamics":["c2aa737661","b0f84f53ff","2b790eda92"],"chunks":["OpenApiReferenceProvider-CBsVopKK.js","utils-DZAk68jJ.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-D32AYZrP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-D_A5_cny.js","snippetPresets-xNRfS9th.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","Page-Dr40SSJq.js","ApiExamples-BIB25-tq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CydJ4w4j.js","shallow-CYPBeQSG.js","getApiPlaygroundDisplay-A5xJVBOu.js","CodeSnippet-BVRTgi3m.js","CodeSnippets-DjD6BSlt.js","getPastedJson-D4V4JyrR.js","icon-uhcnG22T.js","MethodPill-CM-ZQdGH.js","DuplicateIcon-B_WnOiNf.js","createIcon-CJsb8utt.js","DynamicMarkdown-D-2HDKEp.js","SectionHeading-KP5xmMgQ.js","axios-vUo_bRtp.js"]}